var global_rtn_video = global_rtn_video || null;
var global_document_url = global_document_url || null;

function vid_mate_get_video_id(url)
{
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}

	//http://www.ebaumsworld.com/video/watch/84392960/
	if(-1 == vid_mate_url.indexOf("ebaumsworld.com/video/watch"))
	{
		return null;
	}

	var arr = vid_mate_url.split("/");
	if(7 != arr.length)
	{
		return null;
	}

	arr.pop();
	var vid_mate_video_id = arr.pop();
	if(0 == vid_mate_video_id.length)
	{
		return null;
	}

	return vid_mate_video_id;
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url)
{
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	var vid_mate_video_id = vid_mate_get_video_id(url);
	vid_mate_setParseMsg(20, 60, 'Get Video Info');

	global_document_url = url;

	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info......');

		var referer = url;
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}

		var userAgent = "Mozilla/5.0 (Linux; Android 4.3; Build/KRT16M) AppleWebKit/517.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";
		//var userAgent = navigator.userAgent;
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
	} catch (e) {
		vid_mate_error_default('ebaumsworld 1');
		return null;
	}
}

function vid_mate_video_analytics(vm_content)
{
	if(!vm_content)
	{
		vid_mate_error_default('vm_content is empty');
		return null;
	}

	if(-1 == vm_content.indexOf("<video"))
	{
		vid_mate_error_default('<video is not found');
		return null;
	}

	var videoUrl = "";

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "ebaumsworld";
	rtn_video.id = vid_mate_get_video_id(global_document_url);

	var tmp_re = new RegExp("id=\"video\" src=\"(.+?)\"");
	if (tmp_re.test(vm_content))
	{
		var tmp_m = vm_content.match(tmp_re);
		var videoUrl = tmp_m[1];
		if(!videoUrl)
		{
			vid_mate_error_default('get video url fail.');
			return null;
		}
	}
	else
	{
		vid_mate_error_default('get <video fail');
		return null;
	}

	//img
	var tmp_re = new RegExp("poster=\"(.+?)\"");
	if (tmp_re.test(vm_content))
	{
		var tmp_m = vm_content.match(tmp_re);
		var imgUrl = tmp_m[1];
		if(imgUrl)
		{
			rtn_video.picture_default = imgUrl;
			rtn_video.picture_big = imgUrl;
		}
	}

	//title
	var tmp_re = new RegExp("<title>(.+?)</title>");
	if (tmp_re.test(vm_content))
	{
		var tmp_m = vm_content.match(tmp_re);
		var title = tmp_m[1];
		if(-1 != title.indexOf(" - "))
		{
			var arr = title.split(" - ");
			arr.pop();
			rtn_video.title = arr.join(" - ");
		}
		else
		{
			rtn_video.title = title;
		}
	}

	var tmp_video_file = new vid_mate_video_file();
	tmp_video_file.url = videoUrl;
	var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
	tmp_video_file.format = tmp_format;
	tmp_video_file.title = tmp_format;
	tmp_video_file.f_id = rtn_video.id+"_"+tmp_format;
	rtn_video.files.push(tmp_video_file);

	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url)
}


