var global_rtn_video = global_rtn_video || null;
var global_document_url = global_document_url || null;

function vid_mate_get_video_id(url)
{
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}

	if(-1 == vid_mate_url.indexOf("reverbnation"))
	{
		return null;
	}

	if(-1 == vid_mate_url.indexOf("/artist/"))
	{
		return null;
	}

	//http://m.reverbnation.com/artist/2674931/songs
	var arr = vid_mate_url.split("/");
	if(arr.length < 5)
	{
		return null;
	}

	return arr[4];

}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url)
{
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	var vid_mate_video_id = vid_mate_get_video_id(url);
	vid_mate_setParseMsg(20, 60, 'Get Video Info');

	global_document_url = url;

	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info......');

		url = "https://api.reverbnation.com/artist/"+vid_mate_video_id+"/songs?callback=api_response_3&_="+(new Date().getTime());
		var referer = url;
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}

		var userAgent = "Mozilla/5.0 (Linux; Android 4.3; Build/KRT16M) AppleWebKit/517.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";
		//var userAgent = navigator.userAgent;
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
	} catch (e) {
		vid_mate_error_default('sapo 1');
		return null;
	}
}

function vid_mate_video_analytics(vm_content)
{
	if(!vm_content)
	{
		vid_mate_error_default('vm_content is empty');
		return null;
	}

	var p = vm_content.indexOf("{");
	var p1 = vm_content.lastIndexOf("}");
	var vm_content = vm_content.substring(p, p1+1);

	data = eval('('+vm_content+')');

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "reverbnation";
	rtn_video.id = vid_mate_get_video_id(global_document_url);
	rtn_video.url = global_document_url;

	for(var i=0; i<data.results.length; ++i)
	{
		var obj = data.results[i];
		if(0 == i)
		{
			var img = obj.thumbnail;
			if(-1 == img.indexOf("http"))
			{
				img = "http:" + img;
			}
			rtn_video.picture_default = img;
			rtn_video.picture_big = img;
		}

		var videoUrl = obj.url;
		var tmp_video_file = new vid_mate_video_file();
		tmp_video_file.url = videoUrl;
		//var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
		var tmp_format = "mp3";
		tmp_video_file.format = tmp_format;
		tmp_video_file.title = obj.name;
		tmp_video_file.ext = obj.name;
		tmp_video_file.f_id = obj.id + "_"+tmp_format;
		rtn_video.files.push(tmp_video_file);
	}

	rtn_video.title = "reverbnation songs";

	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}


