var global_rtn_video = global_rtn_video || null;
var global_document_url = global_document_url || null;
var global_vid_mate_video_id = global_vid_mate_video_id || null;
var global_pop_flag = false;

function vid_mate_get_video_id(url)
{
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}

	//http://www.icc-cricket.com/cricket-world-cup/videos/media/id/3131/get-to-know-ireland
	if(-1 == vid_mate_url.indexOf("icc-cricket.com"))
	{
		return null;
	}

	var arr = vid_mate_url.split("/");
	if(9 != arr.length)
	{
		return null;
	}
	var video_id = arr[7];
	return video_id;
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url)
{
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	var vid_mate_video_id = vid_mate_get_video_id(url);
	vid_mate_setParseMsg(20, 60, 'Get Video Info');
	global_vid_mate_video_id = vid_mate_video_id;

	global_document_url = url;

	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info......');

		var referer = url;
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}

		var userAgent = "Mozilla/5.0 (Linux; Android 4.3; Build/KRT16M) AppleWebKit/517.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";
		//var userAgent = navigator.userAgent;
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
	} catch (e) {
		vid_mate_error_default('icccricket 1');
		return null;
	}
}

function vid_mate_video_analytics(vm_content)
{
	if(!vm_content)
	{
		vid_mate_error_default('vm_content is empty');
		return null;
	}

	var video_info = cutstr(vm_content, "<video", "</video>");
	var videoId = "";
	if(video_info)
	{
		videoId = cutstr(video_info, "data-video-id=\"", "\"");
	}
	else
	{
		vid_mate_error_default('not find video id');
		return null;
	}

	var width = "100%";
	var height = "270";
	var bgcolor = "#FFFFFF";
	var id = "myExperience1754276206001";
	var playerID = "3912486311001";
	var playerKey = "AQ~~,AAADjpIAWkE~,Vd6zTsQO-4qyIlqCMYj9EKaAVoTut7_C";
	var isVid = "true";
	var isUI = "true";
	var dynamicStreaming = "true";
	var autoStart = "true";
	var videoPlayer = videoId;

	id = encodeURIComponent(id);
	bgcolor = encodeURIComponent(bgcolor);
	width = encodeURIComponent(width);
	height = encodeURIComponent(height);
	playerID = encodeURIComponent(playerID);
	playerKey = encodeURIComponent(playerKey);
	isVid = encodeURIComponent(isVid);
	isUI = encodeURIComponent(isUI);
	dynamicStreaming = encodeURIComponent(dynamicStreaming);
	autoStart = encodeURIComponent(autoStart);
	videoPlayer = encodeURIComponent(videoPlayer);
	

	var d = new Date();
	startTime = d.getTime();

	var url = "http://c.brightcove.com/services/viewer/htmlFederated?&width="+width+"&height="+height+"&flashID="+id+"&allowScriptAccess=always&allowFullScreen=true&seamlessTabbing=false&swliveconnect=true&wmode=window&quality=high&bgcolor="+bgcolor+"&playerID="+playerID+"&playerKey="+playerKey+"&autoStart="+autoStart+"&%40videoPlayer="+videoPlayer+"&isVid="+isVid+"&isUI="+isUI+"&dynamicStreaming="+dynamicStreaming+"&debuggerID=&startTime="+startTime+"&refURL=not%20available";

	try {
		var referer = "http://www.icc-cricket.com/cricket-world-cup/videos";
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}

		var userAgent = "Mozilla/5.0 (Linux; Android 4.3; Build/KRT16M) AppleWebKit/517.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";

		window.vbrowser.httpBegin(url);
		window.vbrowser.httpSetHeader("Cookie", cookie);
		window.vbrowser.httpSetHeader("Referer", referer);
		window.vbrowser.httpSetHeader("User-Agent", userAgent);
		window.vbrowser.httpGet('icc_xhr_result()');
	} catch (e) {
		vid_mate_error(vid_mate_error_msg, e.name + ": " + e.message);
	}
}

function icc_xhr_result() {
    var vid_mate_response;

	try {
        vid_mate_response = window.vbrowser.getHttpRes();
    } catch (e) {
		vid_mate_error(vid_mate_error_msg, e.name + ": " + e.message);
	}

    if (vid_mate_response != null && vid_mate_response.length > 0) {
        icc_analytics(vid_mate_response);
    }
}

function icc_analytics(vm_content)
{
	if(!vm_content)
	{
		vid_mate_error_default('vm_content is empty');
		return null;
	}

	var tmp = cutstr(vm_content, "var experienceJSON = {\"", "}};");
	if(!tmp)
	{
		vid_mate_error_default('get experienceJSON fail');
		return null;
	}

	tmp = "{\"" + tmp + "}}";
	var data = eval('('+tmp+')');
	if(!data)
	{
		vid_mate_error_default('eval fail');
		return null;
	}

	if(!data.data || !data.data.programmedContent || !data.data.programmedContent.videoPlayer ||!data.data.programmedContent.videoPlayer.mediaDTO)
	{
		vid_mate_error_default('bad data 1');
		return null;
	}

	var mediaDTO = data.data.programmedContent.videoPlayer.mediaDTO;

	var videoTitle = mediaDTO.displayName;
	var img = mediaDTO.thumbnailURL;

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "icccricket";
	rtn_video.id = global_vid_mate_video_id;
	rtn_video.title = videoTitle;
	rtn_video.url = global_document_url;
	rtn_video.picture_default = img;
	rtn_video.picture_big = img;

	var renditions = mediaDTO.renditions;
	for(var i=0; i<renditions.length; ++i)
	{
		var obj = renditions[i];
		var width = obj.frameWidth;
		var height = obj.frameHeight;
		var file_url = obj.defaultURL;

		var tmp_video_file = new vid_mate_video_file();
		tmp_video_file.f_id = rtn_video.id + "_" + width + "_" + height+"+"+i;
		var tmp_format = vid_mate_get_video_format(file_url);
		tmp_video_file.format = tmp_format;
		tmp_video_file.width = width;
		tmp_video_file.height = height;
		tmp_video_file.title = tmp_format + "("+width + "x" + height+")";

		tmp_video_file.url = file_url;
		rtn_video.files.push(tmp_video_file);
	}

	if(global_pop_flag)
	{
		try {
			window.vbrowser.popupVideoInfo(JSON.stringify(rtn_video));
		} catch (e) {

		}
	}
	else
	{
		vid_mate_setParseMsg(100, 100, 'Completed');
		vid_mate_set_videoInfo(JSON.stringify(rtn_video));
	}
}


function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}

function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}


var eventCaller = '';
var checkingFlag = false;

document.onclick = function()
{
	eventCaller = event.target;
	global_document_url = document.URL;

	var videoId = "";
	var obj = eventCaller;
	while("BODY" != obj.tagName)
	{
		if("A" == obj.tagName)
		{
			var href = obj.getAttribute("href");

			if(is_num(href))
			{
				videoId = href;
				break;
			}

			videoId = obj.getAttribute("data-id");
			if(videoId)
			{
				break;
			}
			if(-1 != href.indexOf("/videos/media/id/"))
			{
				var arr = href.split("/videos/media/id/");
				videoId = arr.pop();
				break;
			}
		}

		obj = obj.parentNode;
	}

	if(!videoId)
	{
		return true;
	}

	var width = "100%";
	var height = "270";
	var bgcolor = "#FFFFFF";
	var id = "myExperience1754276206001";
	var playerID = "3912486311001";
	var playerKey = "AQ~~,AAADjpIAWkE~,Vd6zTsQO-4qyIlqCMYj9EKaAVoTut7_C";
	var isVid = "true";
	var isUI = "true";
	var dynamicStreaming = "true";
	var autoStart = "true";
	var videoPlayer = videoId;

	id = encodeURIComponent(id);
	bgcolor = encodeURIComponent(bgcolor);
	width = encodeURIComponent(width);
	height = encodeURIComponent(height);
	playerID = encodeURIComponent(playerID);
	playerKey = encodeURIComponent(playerKey);
	isVid = encodeURIComponent(isVid);
	isUI = encodeURIComponent(isUI);
	dynamicStreaming = encodeURIComponent(dynamicStreaming);
	autoStart = encodeURIComponent(autoStart);
	videoPlayer = encodeURIComponent(videoPlayer);

	var d = new Date();
	startTime = d.getTime();

	var url = "http://c.brightcove.com/services/viewer/htmlFederated?&width="+width+"&height="+height+"&flashID="+id+"&allowScriptAccess=always&allowFullScreen=true&seamlessTabbing=false&swliveconnect=true&wmode=window&quality=high&bgcolor="+bgcolor+"&playerID="+playerID+"&playerKey="+playerKey+"&autoStart="+autoStart+"&%40videoPlayer="+videoPlayer+"&isVid="+isVid+"&isUI="+isUI+"&dynamicStreaming="+dynamicStreaming+"&debuggerID=&startTime="+startTime+"&refURL=not%20available";

	global_pop_flag = true;
	try {
		var referer = "http://www.icc-cricket.com/cricket-world-cup/videos";
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}

		var userAgent = "Mozilla/5.0 (Linux; Android 4.3; Build/KRT16M) AppleWebKit/517.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";

		window.vbrowser.httpBegin(url);
		if(cookie && cookie.length > 0)
		{
			window.vbrowser.httpSetHeader("Cookie", cookie);
		}
		if(referer && referer.length > 0)
		{
			window.vbrowser.httpSetHeader("Referer", referer);
		}
		if(userAgent && userAgent.length > 0)
		{
			window.vbrowser.httpSetHeader("User-Agent", userAgent);
		}
		window.vbrowser.httpGet('icc_xhr_result()');
	} catch (e) {
		vid_mate_error(vid_mate_error_msg, e.name + ": " + e.message);
	}

	return false;
}

function is_num(s)
{
    if (s!=null && s!="")
    {
        return !isNaN(s);
    }
    return false;
}




