
var VID_MATE_YTB_FORMAT = [
	{ itag: 5, width: 320, height: 240, format: "FLV", acodec: "MP3", vcodec: "H.263", quality: "240p", title: "320x240(FLV 240p)", canList: false },
	{ itag: 17, width: 176, height: 144, format: "3GP", acodec: "AAC", vcodec: "MPEG-4", quality: "144p", title: "176x144(3GP 144p)", canList: true },
    { itag: 18, width: 640, height: 360, format: "MP4", acodec: "AAC", vcodec: "MPEG-4", quality: "360p", title: "640x360(MP4 360p)", canList: true },
    { itag: 22, width: 1280, height: 720, format: "MP4", acodec: "AAC", vcodec: "H.264", quality: "720p", title: "1280x720(MP4 720p)", canList: true },
    { itag: 34, width: 640, height: 360, format: "FLV", acodec: "AAC", vcodec: "H.264", quality: "360p", title: "640x360(FLV 360p)", canList: true },
    { itag: 35, width: 854, height: 480, format: "FLV", acodec: "AAC", vcodec: "H.264", quality: "480p", title: "854x480(FLV 480p)", canList: true },
    { itag: 36, width: 320, height: 240, format: "3GP", acodec: "AAC", vcodec: "MPEG-4", quality: "240p", title: "320x240(3GP 240p)", canList: true },
    { itag: 37, width: 1920, height: 1080, format: "MP4", acodec: "AAC", vcodec: "H.264", quality: "1080p", title: "1920x1080(MP4 1080p)", canList: true },
    { itag: 38, width: 2048, height: 1536, format: "MP4", acodec: "AAC", vcodec: "H.264", quality: "4K", title: "2048x1536(MP4 4K)", canList: true },
    { itag: 43, width: 640, height: 360, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "360p", title: "640x360(WEBM 360p)", canList: true },
    { itag: 44, width: 854, height: 480, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "480p", title: "854x480(WEBM 480p)", canList: true },
    { itag: 45, width: 1280, height: 720, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "720p", title: "1280x720(WEBM 720p)", canList: true },
    { itag: 46, width: 1920, height: 1080, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "1080p", title: "1920x1080(WEBM 1080p)", canList: true },
    { itag: 82, width: 640, height: 360, format: "MP4", acodec: "AAC", vcodec: "H.264", quality: "360p", title: "640x360(MP4 360p)", canList: true },
    { itag: 83, width: 854, height: 480, format: "MP4", acodec: "AAC", vcodec: "H.264", quality: "480p", title: "854x480(MP4 480p)", canList: true },
    { itag: 84, width: 1280, height: 720, format: "MP4", acodec: "AAC", vcodec: "H.264", quality: "720p", title: "1280x720(MP4 720p)", canList: true },
    { itag: 85, width: 1920, height: 1080, format: "MP4", acodec: "AAC", vcodec: "H.264", quality: "1080p", title: "1920x1080(MP4 1080p)", canList: true },
    { itag: 100, width: 640, height: 360, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "360p", title: "640x360(WEBM 360p)", canList: true },
    { itag: 101, width: 854, height: 480, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "480p", title: "854x480(WEBM 480p)", canList: true },
    { itag: 102, width: 1280, height: 720, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "720p", title: "1280x720(WEBM 720p)", canList: true },
    { itag: 133, width: 320, height: 240, format: "MP4", acodec: "", vcodec: "H.264", quality: "240p", title: "320x240(MP4 240p)", canList: false },
    { itag: 134, width: 640, height: 360, format: "MP4", acodec: "", vcodec: "H.264", quality: "360p", title: "640x360(MP4 360p)", canList: false },
    { itag: 135, width: 854, height: 480, format: "MP4", acodec: "", vcodec: "H.264", quality: "480p", title: "854x480(MP4 480p)", canList: false },
    { itag: 136, width: 1280, height: 720, format: "MP4", acodec: "", vcodec: "H.264", quality: "720p", title: "1280x720(MP4 720p)", canList: false },
    { itag: 137, width: 1920, height: 1020, format: "MP4", acodec: "", vcodec: "H.264", quality: "1080p", title: "1920x1080(MP4 1080p)", canList: false },
    { itag: 138, width: 2048, height: 1536, format: "MP4", acodec: "", vcodec: "H.264", quality: "4K", title: "2048x1536(MP4 4K)", canList: false },
    { itag: 139, width: 0, height: 0, format: "M4A", acodec: "AAC", vcodec: "", quality: "48kbps", title: "M4A(AAC 48k)", canList: true },
    { itag: 140, width: 0, height: 0, format: "M4A", acodec: "AAC", vcodec: "", quality: "128kbps", title: "M4A(AAC 128k)", canList: true },
    { itag: 141, width: 0, height: 0, format: "M4A", acodec: "AAC", vcodec: "", quality: "256kbps", title: "M4A(AAC 256k)", canList: true },
    { itag: 160, width: 176, height: 144, format: "MP4", acodec: "", vcodec: "H.264", quality: "144p", title: "176x144(MP4 144p)", canList: false },
    { itag: 171, width: 0, height: 0, format: "WebM", acodec: "Vorbis", vcodec: "", quality: "128kbps", title: "WEBM(Vorbis 128k)", canList: false },
    { itag: 172, width: 0, height: 0, format: "WebM", acodec: "Vorbis", vcodec: "", quality: "256kbps", title: "WEBM(Vorbis 256k)", canList: false },
    { itag: 242, width: 320, height: 240, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "240p", title: "320x240(WEBM 240p)", canList: false },
    { itag: 243, width: 640, height: 360, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "360p", title: "640x360(WEBM 360p)", canList: false },
    { itag: 244, width: 854, height: 480, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "480p", title: "854x480(FLV 480p)", canList: false },
    { itag: 245, width: 854, height: 480, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "480p", title: "854x480(FLV 480p)", canList: false },
    { itag: 246, width: 854, height: 480, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "480p", title: "854x480(FLV 480p)", canList: false },
    { itag: 247, width: 1280, height: 720, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "720p", title: "1280x720(WEBM 720p)", canList: false },
    { itag: 248, width: 1920, height: 1080, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "1080p", title: "1920x1080(WEBM 1080p)", canList: false },
    { itag: 264, width: 1920, height: 1080, format: "MP4", acodec: "AAC", vcodec: "H.264", quality: "1080p", title: "1920x1080(MP4 1080p)", canList: false }
];

//for blank
var global_document_url = "";
var global_vid_mate_video_id = 0;

function vid_mate_video_ytb_getFormat(itag) {
    for (var i = 0; i < VID_MATE_YTB_FORMAT.length; i++) {
        if (VID_MATE_YTB_FORMAT[i].itag == itag) {
            return VID_MATE_YTB_FORMAT[i];
        }
    }
    return null;
}

function youtube_vid_mate_get_video_id(url) {
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}
	if(vid_mate_url.indexOf('/?#/') > 0) {
		vid_mate_url = vid_mate_url.replace("/?#/","/");
	}
	return vid_mate_get_parameter(vid_mate_url, 'v');
}



function vid_mate_video_analytics(vm_content)
{
	vid_mate_setParseMsg(60, 90, 'Analytics Video Info');
	var content = vm_content || "";

	if(!content)
	{
		vid_mate_error_default('youtube 0,content is empty');
		return null;
	}

	var vid_mate_ytplayer_config;
	if (!content || (content.indexOf("<script>var ytplayer") <= 0)) {
		vid_mate_error_default('youtube 1');
		return null;
	}
	content = content.substring(content.indexOf("<script>var ytplayer") + 56);
	if (content.indexOf("</script") <= 0) {
		vid_mate_error_default('youtube 2');
		return null;
	}
	content = content.substring(0, content.indexOf("};") + 1);
	vid_mate_ytplayer_config = eval('(' + content + ')');
	if (!vid_mate_ytplayer_config || !vid_mate_ytplayer_config.args)
	{
		vid_mate_error_default('youtube 3');
		return null;
	}
	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "reshareit";
	rtn_video.id = global_vid_mate_video_id;

	if(undefined != vid_mate_ytplayer_config.args['url_encoded_fmt_stream_map'])
	{
        if(0 == vid_mate_ytplayer_config.args['url_encoded_fmt_stream_map'].length)
        {
            vid_mate_error('Live TV download is not supported.', "");
            return null;
        }

		rtn_video.title = vid_mate_ytplayer_config.args['title'];
		rtn_video.duration = vid_mate_ytplayer_config.args['length_seconds'];
		rtn_video.url = 'http://youtu.be/' + rtn_video.id;
		rtn_video.picture_default = 'http://i4.ytimg.com/vi/' + rtn_video.id + '/default.jpg';
		rtn_video.picture_big = 'http://i4.ytimg.com/vi/' + rtn_video.id + '/mqdefault.jpg';
		var vid_mate_ytb_video_ticket = vid_mate_ytplayer_config.args['t'];
		var vid_mate_ytb_video_formats = vid_mate_ytplayer_config.args['url_encoded_fmt_stream_map'];
		var tmp_formats = vid_mate_ytb_video_formats.split(",");
		for (var i = 0; i < tmp_formats.length; i++) {
			var tmp_parts = tmp_formats[i].split("&");
			var tmp_video_file = new vid_mate_video_file();
			for (var j = 0; j < tmp_parts.length; j++) {
				var tmp_params = tmp_parts[j].split("=");
				if (tmp_params[0] == "itag") {
					var tmp_format = vid_mate_video_ytb_getFormat(tmp_params[1]);
					if (tmp_format == null || !tmp_format.canList) {
						tmp_video_file = null;
						break;
					}
					tmp_video_file.f_id = rtn_video.id + "_" + tmp_format.itag;
					tmp_video_file.format = tmp_format.format;
					tmp_video_file.width = tmp_format.width;
					tmp_video_file.height = tmp_format.height;
					tmp_video_file.quality = tmp_format.quality;
					tmp_video_file.title = tmp_format.title;
				} else if (tmp_params[0] == "url") {
					tmp_video_file.url = decodeURIComponent(tmp_params[1]);
				}
			}
			if (tmp_video_file != null) {
				rtn_video.files.push(tmp_video_file);
			}
		}

		var vid_mate_ytb_video_adapt_formats = vid_mate_ytplayer_config.args['adaptive_fmts'];
		if(vid_mate_ytb_video_adapt_formats)
		{
			var tmp_adapt_formats = vid_mate_ytb_video_adapt_formats.split(",");
			for (var i = 0; i < tmp_adapt_formats.length; i++) {
				var tmp_parts = tmp_adapt_formats[i].split("&");
				var tmp_video_file = new vid_mate_video_file();
				for (var j = 0; j < tmp_parts.length; j++) {
					var tmp_params = tmp_parts[j].split("=");
					if (tmp_params[0] == "itag") {
						var tmp_format = vid_mate_video_ytb_getFormat(tmp_params[1]);
						if (tmp_format == null || !tmp_format.canList) {
							tmp_video_file = null;
							break;
						}
						tmp_video_file.f_id = rtn_video.id + "_" + tmp_format.itag;
						tmp_video_file.format = tmp_format.format;
						tmp_video_file.width = tmp_format.width;
						tmp_video_file.height = tmp_format.height;
						tmp_video_file.quality = tmp_format.quality;
						tmp_video_file.title = tmp_format.title;
					} else if (tmp_params[0] == "url") {
						tmp_video_file.url = decodeURIComponent(tmp_params[1]);
					}
				}
				if (tmp_video_file != null) {
					rtn_video.files.push(tmp_video_file);
				}
			}
		}

		var sign_flag = false;
		for(var i=0; i< rtn_video.files.length; ++i)
		{
			var video_url = rtn_video.files[i].url;
			if(-1 != video_url.indexOf("signature="))
			{
				sign_flag = true;
				break;
			}
		}
	}
	else
	{
		sign_flag = false;
	}

	if(false == sign_flag)
	{
		var url = "http://www.youtube.com/get_video_info?video_id="+global_vid_mate_video_id+"&asv=3&el=detailpage&hl=en_US&sts=16230";
		try {
			var referer = url;
			var cookie = "";
			if(window.vbrowser.httpGetCookie)
			{
				cookie = window.vbrowser.httpGetCookie(global_document_url);
			}
			else
			{
				cookie = document.cookie;
			}

			var userAgent = "Mozilla/5.0 (compatible; MSIE 10.0; Windows NT 6.1; WOW64; Trident/6.0)";

			window.vbrowser.httpBegin(url);
			window.vbrowser.httpSetHeader("Cookie", cookie);
			window.vbrowser.httpSetHeader("Referer", referer);
			window.vbrowser.httpSetHeader("User-Agent", userAgent);
			window.vbrowser.httpGet('youtube_xhr_result()');
		} catch (e) {
			vid_mate_error(vid_mate_error_msg, e.name + ": " + e.message);
		}
	}
	else
	{
		vid_mate_setParseMsg(100, 100, 'Completed');
		vid_mate_set_videoInfo(JSON.stringify(rtn_video));
	}
}

function youtube_xhr_result() {
    var vid_mate_response;

	try {
        vid_mate_response = window.vbrowser.getHttpRes();
    } catch (e) {
		vid_mate_error(vid_mate_error_msg, e.name + ": " + e.message);
	}

    if (vid_mate_response != null && vid_mate_response.length > 0) {
        youtube_analytics(vid_mate_response);
    }
}

function youtube_analytics(vm_content)
{
	var content = vm_content || "";

	if(!content)
	{
		vid_mate_error_default('youtubeapi 1,content is empty');
		return null;
	}

	if(content.indexOf("url_encoded_fmt_stream_map") <= 0)
	{
		vid_mate_error_default('youtubeapi 2, url_encoded_fmt_stream_map not found');
		return null;
	}

	var videoTitle = "";
	var videoDuration = 0;
	var url_encoded_fmt_stream_map = "";
	var adaptive_fmts = "";

	var dataArray = content.split("&");
	for(var i=0; i<dataArray.length; ++i)
	{
		var obj = dataArray[i];
		var tmpArray = obj.split("=");
		tmpArray[1] = decodeURIComponent(tmpArray[1]);

		if("title" == tmpArray[0])
		{
			videoTitle = tmpArray[1];
		}
		else if("length_seconds" == tmpArray[0])
		{
			videoDuration = tmpArray[1];
		}
		else if("url_encoded_fmt_stream_map" == tmpArray[0])
		{
			url_encoded_fmt_stream_map = tmpArray[1];
		}
		else if("adaptive_fmts" == tmpArray[0])
		{
			adaptive_fmts = tmpArray[1];
		}
	}

	if(0 == url_encoded_fmt_stream_map.length && 0 == adaptive_fmts.length)
	{
		vid_mate_error_default('youtubeapi 3, url_encoded_fmt_stream_map and adaptive_fmts is empty');
		return null;
	}

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "youtube";
	rtn_video.id = global_vid_mate_video_id;
	rtn_video.title = videoTitle;
	rtn_video.duration = videoDuration;
	rtn_video.url = global_document_url;
	rtn_video.picture_default = 'http://i4.ytimg.com/vi/' + rtn_video.id + '/default.jpg';
	rtn_video.picture_big = 'http://i4.ytimg.com/vi/' + rtn_video.id + '/mqdefault.jpg';

	//url_encoded_fmt_stream_map
	if(url_encoded_fmt_stream_map.length > 0)
	{
		var arr = url_encoded_fmt_stream_map.split(",");
		for(var i=0; i<arr.length; ++i)
		{
			var arr1 = arr[i].split("&");

			var itag = "";
			var sign = "";
			var videoFileUrl = "";
			var videoTitle = "";
			for(var j=0; j<arr1.length; ++j)
			{
				var arr2 = arr1[j].split("=");

				if("itag" == arr2[0])
				{
					itag = arr2[1];
				}
				 else if("s" == arr2[0] || "signature" == arr2[0])
				{
					sign = arr2[1];
				}
				else if("url" == arr2[0])
				{
					videoFileUrl = decodeURIComponent(arr2[1]);
				}
			}

			var tmp_format = vid_mate_video_ytb_getFormat(itag);
			if (tmp_format != null && tmp_format.canList)
			{
				var tmp_video_file = new vid_mate_video_file();
				tmp_video_file.f_id = rtn_video.id + "_" + tmp_format.itag;
				tmp_video_file.format = tmp_format.format;
				tmp_video_file.width = tmp_format.width;
				tmp_video_file.height = tmp_format.height;
				tmp_video_file.quality = tmp_format.quality;
				tmp_video_file.title = tmp_format.title;

				if(-1 == videoFileUrl.indexOf("sign") && sign.length > 0)
				{
					videoFileUrl += "&signature="+decipher(sign)+"&title="+encodeURIComponent(rtn_video.title)+"";
				}
				tmp_video_file.url = videoFileUrl;
				rtn_video.files.push(tmp_video_file);
			}
		}
	}

	//adaptive_fmts
	if(adaptive_fmts.length > 0)
	{
		var arr = adaptive_fmts.split(",");
		for(var i=0; i<arr.length; ++i)
		{
			var arr1 = arr[i].split("&");

			var itag = "";
			var sign = "";
			var videoFileUrl = "";
			var videoTitle = "";
			for(var j=0; j<arr1.length; ++j)
			{
				var arr2 = arr1[j].split("=");

				if("itag" == arr2[0])
				{
					itag = arr2[1];
				}
				else if("s" == arr2[0])
				{
					sign = arr2[1];
				}
				else if("url" == arr2[0])
				{
					videoFileUrl = decodeURIComponent(arr2[1]);
				}
			}

			var tmp_format = vid_mate_video_ytb_getFormat(itag);
			if (tmp_format != null && tmp_format.canList)
			{
				var tmp_video_file = new vid_mate_video_file();
				tmp_video_file.f_id = rtn_video.id + "_" + tmp_format.itag;
				tmp_video_file.format = tmp_format.format;
				tmp_video_file.width = tmp_format.width;
				tmp_video_file.height = tmp_format.height;
				tmp_video_file.quality = tmp_format.quality;
				tmp_video_file.title = tmp_format.title;

				if(-1 == videoFileUrl.indexOf("sign") && sign.length > 0)
				{
					videoFileUrl += "&signature="+decipher(sign)+"&title="+encodeURIComponent(rtn_video.title)+"";
				}
				tmp_video_file.url = videoFileUrl;
				rtn_video.files.push(tmp_video_file);
			}
		}
	}

	var sign_flag = false;
	for(var i=0; i< rtn_video.files.length; ++i)
	{
		var video_url = rtn_video.files[i].url;
		if(-1 != video_url.indexOf("signature"))
		{
			sign_flag = true;
			break;
		}
	}

	if(false == sign_flag)
	{
		//使用新接口还是失败的
		vid_mate_error_default('youtube not signature');
		return null;
	}
	else
	{
		vid_mate_setParseMsg(100, 100, 'Completed');
		vid_mate_set_videoInfo(JSON.stringify(rtn_video));
	}
}


function vid_mate_get_video_info()
{
	if(window.vbrowser.start)
	{
		window.vbrowser.start("youtube");
	}
	return vid_mate_get_video_info_with_url(document.URL);
}

function vid_mate_get_video_info_with_url(url)
{
	try
	{
		var vid_mate_video_id = youtube_vid_mate_get_video_id(url);
		if(null == vid_mate_video_id)
		{
			vid_mate_error_default('youtube 0 url='+url+'');
			return null;
		}
		vid_mate_setParseMsg(10, 20, 'Start Analytics');

		global_vid_mate_video_id = vid_mate_video_id;
		global_document_url = url;

		var vid_mate_url_get = "http://www.youtube.com/watch?v=" + vid_mate_video_id + "&has_verified=1&app=desktop";

		vid_mate_setParseMsg(20, 60, 'Get Video Info......');

		var referer = vid_mate_url_get;
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}

		var userAgent = "Mozilla/5.0 (compatible; MSIE 10.0; Windows NT 6.1; WOW64; Trident/6.0)";
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(vid_mate_url_get, referer, cookie, userAgent, method, data);

	} catch (e) {
		vid_mate_error_default('youtube 4\r\n' + e.name + ": " + e.message);
		return null;
	}
}

function youtube_vid_mate_get_video_info_on_blank(url)
{
	if(window.vbrowser.start)
	{
		window.vbrowser.start("youtube");
	}
	return vid_mate_get_video_info_with_url(url)
}

function swap16230(p1, p2) {
    var l3 = p1[0];
    var l4c = p2 % p1.length;
    var l4 = p1[l4c];
    p1[0] = l4;
    p1[p2] = l3;
    return p1;
}
function clone16230(p1, p2) {
    return p1.slice(p2);
}
function reverse16230(p1) {
    return p1.reverse();
}
function decipher(sig) {
    var sigs = sig.split("");
    sigs = swap16230(sigs, 25);
    sigs = reverse16230(sigs);
    sigs = clone16230(sigs, 1);
    sigs = swap16230(sigs, 49);
    sigs = swap16230(sigs, 52);
    sig = sigs.join("");
    return sig;
}

///////////////////////////////////////////////////

function vid_mate_get_video_id(url)
{
	url = url || document.URL;
	var arr = url.split("/");
	if(5 != arr.length)
	{
		return null;
	}
	return arr[3];
}

function vid_mate_check(url)
{
	var flag = false;
	var iframe_array = document.getElementsByTagName("iframe");
	for(var i=0; i<iframe_array.length; ++i)
	{

		var src = iframe_array[i].src;
		if(-1 != src.indexOf("youtube.com/embed/"))
		{
			flag = true;
			break;
		}
	}

	if(false == flag)
	{
	    vid_mate_set_canDownload(false);
	    return false;
	}

	if (vid_mate_get_video_id(url) == null) {
	    vid_mate_set_canDownload(false);
	    return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info_on_blank(url)
{
	try {
		var referer = url;
		var cookie = "";
		var userAgent = "Mozilla/5.0 (compatible; MSIE 10.0; Windows NT 6.1; WOW64; Trident/6.0)";
		window.vbrowser.httpBegin(url);
		window.vbrowser.httpSetHeader("Referer", referer);
		window.vbrowser.httpSetHeader("User-Agent", userAgent);
		window.vbrowser.httpGet('reshareit_xhr_result()');
	} catch (e) {
		vid_mate_error(vid_mate_error_msg, e.name + ": " + e.message);
	}
}

function reshareit_xhr_result()
{
    var vid_mate_response;

	try {
        vid_mate_response = window.vbrowser.getHttpRes();
    } catch (e) {
		vid_mate_error(vid_mate_error_msg, e.name + ": " + e.message);
	}

    if (vid_mate_response != null && vid_mate_response.length > 0)
	{
        reshareit_analytics(vid_mate_response);
    }
}

function reshareit_analytics(vm_content)
{
	var content = vm_content || "";
	if(!content)
	{
		vid_mate_error_default('content is empty');
		return null;
	}

	var p = content.indexOf("youtube.com/embed/");
	if(-1 == p)
	{
		vid_mate_error_default('not found keyword1');
		return null;
	}
	var content = content.substring(p);
	var p1 = content.indexOf("\"");
	if(-1 == p1)
	{
		vid_mate_error_default('not found keyword2');
		return null;
	}

	var youtube_video_id = content.substring(0, p1);
	var tmp = youtube_video_id.indexOf("?");
	if(-1 != tmp)
	{
		youtube_video_id = youtube_video_id.substring(0, tmp);
	}

	var tmp = youtube_video_id.indexOf("'");
	if(-1 != tmp)
	{
		youtube_video_id = youtube_video_id.substring(0, tmp);
	}

	var arr = youtube_video_id.split("/");
	youtube_video_id = arr.pop();

	if(youtube_video_id.length < 6)
	{
		vid_mate_error_default('get youtube_video_id fail');
		return null;
	}

	var youtube_url = "https://www.youtube.com/watch?v="+youtube_video_id+"";

	return youtube_vid_mate_get_video_info_on_blank(youtube_url);
}


